[Previous] [Up] [Top]

### NAME

ft_cardins,ft_cardapp,ft_carddel -Fitsy FITS card insert and delete routines.

### SYNOPSIS

    FITSCard ft_cardins(FITSHead fits, FITSCard card, FITSCard here);
    FITSCard ft_cardapp(FITSHead fits, FITSCard card);
    FITSCard ft_carddel(FITSHead fits, FITSCard card);

### PARAMETERS

- FITSHead fits - FITS header.
- FITSCard card - FITS card to insert, append or delete.
- FITSCard here - Insert card after here

### DESCRIPTION

#### ft_cardins

Insert a card into a FITS header after here.

If here is NULL card is inserted before the END card.

Returns card;

#### ft_cardapp

Append a card to the end of the FITS header.

Retuns card.

#### ft_carddel

Delete a card from a FITS header.

Returns card which now points the the card after the one deleted

### EXAMPLES

                    FITSCard        here;
                    FITSBuff        card;

            ft_cardkey(&card, "Keyword", 0);
            ft_cardseti(&card, 4, NULL);

            /* Insert a new card "Keyword" after the 4th card.
             */
            here = ft_cardins(fits, &card, ft_cardnth(4));

            /* Append the same card to the header
             */
            card = ft_cardapp(fits, &card);

            /* Delete the first card.
             */
            ft_carddel(fits, here);

[Previous] [Up] [Top]